# Email

All email is stored on a GCP instance, which runs Postfix and Dovecot.

This host receives all email for both `chriscowley.me.uk` and `cowley.tech`, but does not forward/send them.

!!! note "Why not send through this host?"

    First, GCP block outgoing SMTP connections on several ports. Second, email forwarding is based on reputation and I can't be bothered to deal with it.
    
For a long time I used [Mailjet](https://app.mailjet.com) for sending emails, but then switch to [SMTP2Go](https://smtp2go.com) because it allows more key/secret pairs. These need to be configured on the clients (Thunderbird, Evolution, phone, whatever).

## TLS Certificates

Managed using LetsEncrypt using a really simple script:

```bash
/root/renew_certs.sh
```

It runs daily to renew all certs on that host


## Backup

Backups use [Restic](https://restic.readthedocs.io/en/stable/) and are stored in Backblaze B2. The bucket is called `instance2-backup`.

There are 2 scripts for the backups:

```bash
/usr/local/bin/clean-backup
/usr/local/bin/run-backup
```

The backup is run every day and the clean up runs once a week.

